POSTsuix_getLatestSuiSystemState

Sui Mainnethttps://sui-mainnet.nodit.io/

Return the latest SUI system state object on-chain.

Request Body
idintegerrequired
jsonrpcstringrequired
methodstringrequired
paramsany[]required
Responses
jsonrpcstring
idinteger
activeValidatorsobject[]required

The list of active validators in the current epoch.

commissionRatestringrequired
descriptionstringrequired
exchangeRatesIdstringrequired

ID of the exchange rate table object.

exchangeRatesSizestringrequired

Number of exchange rates in the table.

gasPricestringrequired
imageUrlstringrequired
namestringrequired
netAddressstringrequired
networkPubkeyBytesstringrequired

Base64 encoding

nextEpochCommissionRatestringrequired
nextEpochGasPricestringrequired
nextEpochNetAddressstringnull
nextEpochNetworkPubkeyBytesstring

Base64 encoding

nextEpochP2pAddressstringnull
nextEpochPrimaryAddressstringnull
nextEpochProofOfPossessionstring

Base64 encoding

nextEpochProtocolPubkeyBytesstring

Base64 encoding

nextEpochStakestringrequired
nextEpochWorkerAddressstringnull
nextEpochWorkerPubkeyBytesstring

Base64 encoding

operationCapIdstringrequired

Hex string encoding.

p2pAddressstringrequired
pendingPoolTokenWithdrawstringrequired

Pending pool token withdrawn during the current epoch, emptied at epoch boundaries.

pendingStakestringrequired

Pending stake amount for this epoch.

pendingTotalSuiWithdrawstringrequired

Pending stake withdrawn during the current epoch, emptied at epoch boundaries.

poolTokenBalancestringrequired

Total number of pool tokens issued by the pool.

primaryAddressstringrequired
projectUrlstringrequired
proofOfPossessionBytesstringrequired

Base64 encoding

protocolPubkeyBytesstringrequired

Base64 encoding

rewardsPoolstringrequired

The epoch stake rewards will be added here at the end of each epoch.

stakingPoolActivationEpochstring
stakingPoolDeactivationEpochstring
stakingPoolIdstringrequired

ID of the staking pool object.

stakingPoolSuiBalancestringrequired

The total number of SUI tokens in this pool.

suiAddressstringrequired

Hex string encoding.

votingPowerstringrequired
workerAddressstringrequired
workerPubkeyBytesstringrequired

Base64 encoding

atRiskValidatorsoneOf[][]required

Map storing the number of epochs for which each validator has been below the low stake threshold.

epochstringrequired

The current epoch ID, starting from 0.

epochDurationMsstringrequired

The duration of an epoch, in milliseconds.

epochStartTimestampMsstringrequired

Unix timestamp of the current epoch start

inactivePoolsIdstringrequired

ID of the object that maps from a staking pool ID to the inactive validator that has that pool as its staking pool.

inactivePoolsSizestringrequired

Number of inactive staking pools.

maxValidatorCountstringrequired

Maximum number of active validators at any moment. We do not allow the number of validators in any epoch to go above this.

minValidatorJoiningStakestringrequired

Lower-bound on the amount of stake required to become a validator.

pendingActiveValidatorsIdstringrequired

ID of the object that contains the list of new validators that will join at the end of the epoch.

pendingActiveValidatorsSizestringrequired

Number of new validators that will join at the end of the epoch.

pendingRemovalsstring[]required

Removal requests from the validators. Each element is an index pointing to active_validators.

protocolVersionstringrequired

The current protocol version, starting from 1.

referenceGasPricestringrequired

The reference gas price for the current epoch.

safeModebooleanrequired

Whether the system is running in a downgraded safe mode due to a non-recoverable bug. This is set whenever we failed to execute advance_epoch, and ended up executing advance_epoch_safe_mode. It can be reset once we are able to successfully execute advance_epoch.

safeModeComputationRewardsstringrequired

Amount of computation rewards accumulated (and not yet distributed) during safe mode.

safeModeNonRefundableStorageFeestringrequired

Amount of non-refundable storage fee accumulated during safe mode.

safeModeStorageRebatesstringrequired

Amount of storage rebates accumulated (and not yet burned) during safe mode.

safeModeStorageRewardsstringrequired

Amount of storage rewards accumulated (and not yet distributed) during safe mode.

stakeSubsidyBalancestringrequired

Balance of SUI set aside for stake subsidies that will be drawn down over time.

stakeSubsidyCurrentDistributionAmountstringrequired

The amount of stake subsidy to be drawn down per epoch. This amount decays and decreases over time.

stakeSubsidyDecreaseRateinteger (uint16)required

The rate at which the distribution amount decays at the end of each period. Expressed in basis points.

stakeSubsidyDistributionCounterstringrequired

This counter may be different from the current epoch number if in some epochs we decide to skip the subsidy.

stakeSubsidyPeriodLengthstringrequired

Number of distributions to occur before the distribution amount decays.

stakeSubsidyStartEpochstringrequired

The starting epoch in which stake subsidies start being paid out

stakingPoolMappingsIdstringrequired

ID of the object that maps from staking pool's ID to the sui address of a validator.

stakingPoolMappingsSizestringrequired

Number of staking pool mappings.

storageFundNonRefundableBalancestringrequired

The non-refundable portion of the storage fund coming from storage reinvestment, non-refundable storage rebates and any leftover staking rewards.

storageFundTotalObjectStorageRebatesstringrequired

The storage rebates of all the objects on-chain stored in the storage fund.

systemStateVersionstringrequired

The current version of the system state data structure type.

totalStakestringrequired

Total amount of stake from all active validators at the beginning of the epoch.

validatorCandidatesIdstringrequired

ID of the object that stores preactive validators, mapping their addresses to their Validator structs.

validatorCandidatesSizestringrequired

Number of preactive validators.

validatorLowStakeGracePeriodstringrequired

A validator can have stake below validator_low_stake_threshold for this many epochs before being kicked out.

validatorLowStakeThresholdstringrequired

Validators with stake amount below validator_low_stake_threshold are considered to have low stake and will be escorted out of the validator set after being below this threshold for more than validator_low_stake_grace_period number of epochs.

validatorReportRecordsoneOf[][]required

A map storing the records of validator reporting each other.

validatorVeryLowStakeThresholdstringrequired

Validators with stake below validator_very_low_stake_threshold will be removed immediately at epoch change, no grace period.

X-API-KEY
RequestCU20
cURL
curl -X POST "https://sui-mainnet.nodit.io/" \
  -H "X-API-KEY: {YOUR_API_KEY}" \
  -H "Content-Type: application/json" \
  -d '{
  "jsonrpc": "2.0",
  "id": 1,
  "method": "suix_getLatestSuiSystemState",
  "params": []
}'
Response
Example · 200
{
  "jsonrpc": "2.0",
  "result": "some_system_state",
  "id": 1
}